Skip to content
Assets Overview

Query HashKey Cash List

This interface is used to query the cash asset list on the HashKey platform. It returns the total assets total_asset, available assets free_asset, and locked amount locked_asset for each virtual currency, presented by currency dimension.

GEThttps://b-api.longbridge.xyz/v1/whaleapi/asset/hashkey/cash_list

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Responses

HTTP 200Fields are taken from the real responses definition for this operation in the published Whale OpenAPI spec (whale-openapi/Whale-openapi.json).
Standard response envelopecodemessagedata
dataobjectdata structure
asset_listarray<object>required

Currency List. Currency List

Child attributes
currencystringrequired

Currency. Currency

total_assetstringrequired

Cash Amount. Cash Amount

free_assetstringrequired

Available Amount. Available Amount

locked_assetstringrequired

FrozenAmount. FrozenAmount

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs